Package org.pushingpixels.substance.internal.inputmaps

# Class BaseInputMapSet.FileChooserActions

java.lang.Object
org.pushingpixels.substance.internal.inputmaps.BaseInputMapSet.FileChooserActions

Enclosing class:
  `BaseInputMapSet`

protected static class BaseInputMapSet.FileChooserActions extends Object
From sun.swing.FilePane via BasicFileChooserUI

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`APPROVE_SELECTION`
`static final String`
`CANCEL_SELECTION`
`static final String`
`EDIT_FILE_NAME`
`static final String`
`GO_UP`
`static final String`
`REFRESH`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`FileChooserActions()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### APPROVE_SELECTION

public static final String APPROVE_SELECTION

See Also:
  - Constant Field Values

### CANCEL_SELECTION

public static final String CANCEL_SELECTION

See Also:
  - Constant Field Values

### EDIT_FILE_NAME

public static final String EDIT_FILE_NAME

See Also:
  - Constant Field Values

### REFRESH

public static final String REFRESH

See Also:
  - Constant Field Values

### GO_UP

public static final String GO_UP

See Also:
  - Constant Field Values

## Constructor Details

### FileChooserActions

protected FileChooserActions()